if Network:is_client() then
	return
end

local ignored_vehicles = {
	'ecbe9b38ba134a26' --Hotline Miami Day 1
}

Hooks:PostHook(AnimatedVehicleBase, 'update', 'VehiclesKillPlayers_anim_vehicles',
function(self)
	for _, u in ipairs(ignored_vehicles) do
		if tostring(self._unit):sub(11,26) == u then return end
	end
	local oobb = self._unit:oobb()
	local len = oobb:size().x + oobb:size().y + oobb:size().z
	if len > 4000 then return end
	local slotmask = managers.slot:get_mask('players')
	local units = World:find_units('intersect', 'obb', oobb:center(), oobb:x(), oobb:y(), oobb:z(), slotmask)
	for _, unit in pairs(units) do
		if Network:multiplayer() then
			for _, peer in pairs(managers.network:session():all_peers()) do
				if alive(peer:unit()) and alive(unit) and peer:unit():id() == unit:id() then
					if peer == managers.network:session():local_peer() then
						log(tostring(self._unit):sub(11,26))
						managers.player:set_player_state('incapacitated')
					else
						unit:network().send(unit:network(), 'sync_player_movement_state', 'incapacitated', 0, peer:id())
					end
				end
			end
		else
			managers.player:set_player_state('incapacitated')
		end
	end
end)