if Network:is_client() then
	return
end

Hooks:PostHook(VehicleDrivingExt, '_detect_npc_collisions', 'VehiclesKillPlayers_vehicles',
function(self)
	if self._vehicle:get_state():get_speed() < 2.8 then
		return
	end
	local oobb = self._unit:oobb()
	local slotmask = managers.slot:get_mask('players')
	local units = World:find_units('intersect', 'obb', oobb:center(), oobb:x(), oobb:y(), oobb:z(), slotmask)
	for _, unit in pairs(units) do
		local unit_in_vehicle = false
		for _, seat in pairs(self._seats) do
			if alive(seat.occupant) and seat.occupant:id() == unit:id() then
				unit_in_vehicle = true
			end
		end
		if not unit_in_vehicle then
			if Network:multiplayer() then
				for _, peer in pairs(managers.network:session():all_peers()) do
					if alive(peer:unit()) and alive(unit) and peer:unit():id() == unit:id() then
						if peer == managers.network:session():local_peer() then
							managers.player:set_player_state('incapacitated')
						else
							unit:network().send(unit:network(), 'sync_player_movement_state', 'incapacitated', 0, peer:id())
						end
					end
				end
			else
				managers.player:set_player_state('incapacitated')
			end
		end
	end
end)